%global pkgname Firebird-2.1.3.18185-0
%global fbroot	%{_libdir}/%{name}
%global major	2.1.3


Summary:	SQL relational database management system
Name:		firebird
Version:	2.1.3.18185.0
Release:	6%{?dist}

Group:		Applications/Databases
License:	Interbase
URL:		http://www.firebirdsql.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source0:	http://downloads.sourceforge.net/firebird/%{pkgname}.tar.bz2
Source1:	firebird-logrotate
Source2:	README.Fedora

Patch0:		firebird-mcpu-to-mtune.patch
Patch1:		firebird-edit-fix.patch
Patch2:		firebird-fix-initscript.patch
Patch3:		firebird_lock-file-location.patch
Patch4:		firebird-gcc-icu.patch
Patch5:		firebird-s390x.patch
Patch6:		firebird-gsec.patch


BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	libtermcap-devel
BuildRequires:	libicu-devel
BuildRequires:	libedit-devel
BuildRequires:	gcc-c++

Requires:	%{name}-arch = %{version}-%{release}
Requires:	grep
Requires:	sed
Requires(post):		/sbin/ldconfig
Requires(postun):	/sbin/ldconfig
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
Requires(pre):		/usr/sbin/groupadd
Requires(pre):		/usr/sbin/useradd
Requires:		%{name}-libfbclient
Requires:		logrotate

%description
This package contains common files between firebird-classic and
firebird-superserver. You will need this if you want to use either one.

%package		doc
Summary:		Documentation for Firebird SQL RDBMS
Group:			Applications/Databases

%description	doc
This are the Firebird SQL Database shared doc and examples files.

%package		filesystem
Summary:		Filesystem for Firebird SQL RDBMS
Group:			Applications/Databases

%description	filesystem
This is the Firebird SQL Database root file system.

%package		devel
Summary:		Development Libraries for Firebird SQL RDBMS
Group:			Applications/Databases
Requires:		%{name}-libfbclient = %{version}-%{release}
Requires:		%{name}-libfbembed = %{version}-%{release}


%description	devel
Development libraries for firebird.

%package		classic
Summary:		Classic (xinetd) server for Firebird SQL RDBMS
Group:			Applications/Databases
Provides:		%{name}-arch = %{version}-%{release}
Requires:		xinetd
Requires:		%{name} = %{version}-%{release}
Conflicts:		%{name}-superserver
Requires:		%{name}-libfbembed = %{version}-%{release}


%description	classic
This is the classic (xinetd) server Firebird SQL RDBMS.
It can also be used as an embedded server, when paired with the
client-embedded package.

%package		superserver
Summary:		Superserver (single process) server for Firebird SQL RDBMS
Group:			Applications/Databases
Provides:		%{name}-arch = %{version}-%{release}
Requires:		%{name} = %{version}-%{release}
Conflicts:		%{name}-classic


%description		superserver
This is the Superserver (single process) Firebird SQL RDBMS.


%package		libfbclient
Summary:		Multi-threaded, non-local client libraries for Firebird SQL RDBMS
Group:			System Environment/Libraries
Requires(post):		/sbin/ldconfig
Requires(postun):	/sbin/ldconfig
Requires:		%{name}-filesystem 

%description		libfbclient
Multi-threaded, non-local client libraries for Firebird SQL Database


%package		libfbembed
Summary:		Multi-process, local client libraries for Firebird SQL RDBMS
Group:			System Environment/Libraries
Requires(post):		/sbin/ldconfig
Requires(postun):	/sbin/ldconfig
Requires:		%{name}-filesystem 

%description		libfbembed
Multi-process, local client libraries for Firebird SQL RDBMS


%prep
%setup -q -n %{pkgname}
# convert intl character to UTF-8
iconv	-f	ISO-8859-1	-t	utf-8	-c	./doc/README.intl					-o	./doc/README.intl
# backport patch
%patch2
# %patch1 -p1
%patch0
%patch3
%patch4
%patch5 -p1
%patch6

%build

# classic
%ifarch	sparc64 
export CXXFLAGS='-m64'
export CFLAGS='-m64'
export LDFLAGS='-m64'
%endif
%ifarch	sparcv9 
export CXXFLAGS='-m32'
export CFLAGS='-m32'
export LDFLAGS='-m32'
%endif

%ifarch	ppc64
autoreconf -vfi
%endif
NOCONFIGURE=1 ./autogen.sh
%configure --prefix=%{fbroot} --with-system-icu --with-system-editline
%ifarch	sparc64 
sed	"s@COMMON_FLAGS=-m32@COMMON_FLAGS=-m64@"	-i	./gen/make.platform	
%endif
		
# Can't use make %{?_smp_mflags} as parallel build is broken
make

cd gen

./install/makeInstallImage.sh

# here we patch a bug in the configure script
%ifarch	ppc64
mv	-f	./buildroot/usr/lib/*		./buildroot/%{_libdir}
%endif

mv		./buildroot/ buildroot-classic
chmod 644	./buildroot-classic%{fbroot}/help/help.fdb
cd ..

# superserver
%ifarch	ppc64
autoreconf -vfi
%endif
%configure --prefix=%{fbroot} --with-system-icu --enable-superserver --with-system-editline 
		
%ifarch	sparc64 
sed	"s@COMMON_FLAGS=-m32@COMMON_FLAGS=-m64@"	-i	./gen/make.platform	
%endif

# Can't use make %{?_smp_mflags} as parallel build is broken
make

cd gen
./install/makeInstallImage.sh

# here we patch a bug in the configure script
%ifarch	ppc64
mv	-f	./buildroot/usr/lib/*		./buildroot/%{_libdir}
%endif

mv		./buildroot/ buildroot-superserver
chmod 644	./buildroot-superserver%{fbroot}/help/help.fdb



%install
# we wanted to setup both Classic and Superserver, we need to do all here
rm -Rf %{buildroot}
install	-d	%{buildroot}

cd	%{buildroot}

mkdir	-p	%{buildroot}%{_sysconfdir}/%{name}
mkdir	-p	%{buildroot}%{_initrddir} 
mkdir	-p	%{buildroot}%{_sysconfdir}/xinetd.d
mkdir	-p	%{buildroot}%{_sysconfdir}/profile.d
mkdir	-p	%{buildroot}%{_sysconfdir}/logrotate.d
mkdir	-p	%{buildroot}%{_var}/run/%{name}
mkdir	-p	%{buildroot}%{_localstatedir}/lib/%{name}
mkdir	-p	%{buildroot}%{_localstatedir}/lib/%{name}/data
mkdir	-p	%{buildroot}%{_localstatedir}/lib/%{name}/system
mkdir	-p	%{buildroot}%{_localstatedir}/log/%{name}
mkdir	-p	%{buildroot}%{_includedir}/%{name}
mkdir	-p	%{buildroot}%{_libdir}
mkdir	-p	%{buildroot}%{fbroot}
mkdir	-p	%{buildroot}%{fbroot}/help
mkdir	-p	%{buildroot}%{fbroot}/intl
mkdir	-p	%{buildroot}%{fbroot}/lib
mkdir	-p	%{buildroot}%{fbroot}/include
mkdir	-p	%{buildroot}%{fbroot}/bin-classic
mkdir	-p	%{buildroot}%{fbroot}/UDF-classic
mkdir	-p	%{buildroot}%{fbroot}/bin-superserver
mkdir	-p	%{buildroot}%{fbroot}/UDF-superserver
mkdir	-p	%{buildroot}%{_bindir} 

cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/examples/empbuild/employee.fdb		%{buildroot}%{_localstatedir}/lib/%{name}/data/employee.fdb
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/help/help.fdb		%{buildroot}%{fbroot}/help/help.fdb
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/*.msg		%{buildroot}%{fbroot}/
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/intl/fbintl		%{buildroot}%{fbroot}/intl/fbintl
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/lib/libib_util.so		%{buildroot}%{fbroot}/lib/
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/lib/libfbclient.so.%{major}		%{buildroot}%{fbroot}/lib/
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/lib/libfbembed.so.%{major}		%{buildroot}%{fbroot}/lib/
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/bin/*		%{buildroot}%{fbroot}/bin-classic/
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/UDF/*		%{buildroot}%{fbroot}/UDF-classic/
cp	%{_builddir}/%{pkgname}/gen/buildroot-superserver%{fbroot}/bin/*		%{buildroot}%{fbroot}/bin-superserver/
cp	%{_builddir}/%{pkgname}/gen/buildroot-superserver%{fbroot}/UDF/*		%{buildroot}%{fbroot}/UDF-superserver/

cd	%{buildroot}%{fbroot}/bin-superserver/
ln	-s	fbmgr.bin	fbmgr
cd	%{buildroot}

major2=`echo %{major} | sed 's|\.[0-9]*$||'`
major1=`echo ${major2} | sed 's|\.[0-9]*$||'` 
cd	%{buildroot}%{fbroot}/lib/
ln	-s	%{fbroot}/lib/libfbembed.so.%{major}	libfbembed.so.${major2} 
ln	-s	%{fbroot}/lib/libfbembed.so.${major2} 	libfbembed.so
ln	-s	%{fbroot}/lib/libfbclient.so.%{major}	libfbclient.so.${major1} 
ln	-s	%{fbroot}/lib/libfbclient.so.${major1}	libfbclient.so
cd	%{buildroot}

cd	%{buildroot}%{_libdir}
ln	-s	%{fbroot}/lib/libfbembed.so	libfbembed.so
ln	-s	%{fbroot}/lib/libfbembed.so.${major2}	libfbembed.so.${major2}
ln	-s	%{fbroot}/lib/libfbembed.so.%{major}	libfbembed.so.%{major}
ln	-s	%{fbroot}/lib/libfbclient.so	libfbclient.so
ln	-s	%{fbroot}/lib/libfbclient.so.${major1}	libfbclient.so.${major1}
ln	-s	%{fbroot}/lib/libfbclient.so.%{major}	libfbclient.so.%{major}
ln	-s	%{fbroot}/lib/libfbclient.so.%{major}	libgds.so.0
ln	-s	%{fbroot}/lib/libfbclient.so	libgds.so
ln	-s	%{fbroot}/lib/libib_util.so	libib_util.so
cd	%{buildroot}

echo 1 > %{buildroot}%{_localstatedir}/log/%{name}/%{name}.log
ln	-s	%{_localstatedir}/log/%{name}/%{name}.log	.%{fbroot}/%{name}.log	
sed	"s@%{name}.log@%{_localstatedir}/log/%{name}/%{name}.log@g"	%{SOURCE1}	>	%{buildroot}%{_sysconfdir}/logrotate.d/%{name}

cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/include/*		%{buildroot}%{_includedir}/%{name}/
cd	%{buildroot}%{fbroot}/include/
ln	-s	%{_includedir}/%{name}/ibase.h	ibase.h
ln	-s	%{_includedir}/%{name}/iberror.h	iberror.h
ln	-s	%{_includedir}/%{name}/ib_util.h	ib_util.h
ln	-s	%{_includedir}/%{name}/perf.h	perf.h
cd	%{buildroot}%{_includedir}
ln	-s	%{_includedir}/%{name}/ibase.h	ibase.h
ln	-s	%{_includedir}/%{name}/iberror.h	iberror.h
ln	-s	%{_includedir}/%{name}/ib_util.h	ib_util.h
ln	-s	%{_includedir}/%{name}/perf.h	perf.h
cd	%{buildroot}

cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/aliases.conf	.%{_sysconfdir}/%{name}/aliases.conf
sed	"s@%{fbroot}/examples/empbuild@%{_localstatedir}/lib/%{name}/data@"	-i	.%{_sysconfdir}/%{name}/aliases.conf	
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/firebird.conf	.%{_sysconfdir}/%{name}/firebird.conf
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/intl/fbintl.conf	.%{_sysconfdir}/%{name}/fbintl.conf
cp	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/security2.fdb	.%{_localstatedir}/lib/%{name}/system/security2.fdb

ln	-s	%{_sysconfdir}/%{name}/aliases.conf	.%{fbroot}/aliases.conf
ln	-s	%{_sysconfdir}/%{name}/firebird.conf	.%{fbroot}/firebird.conf
ln	-s	%{_localstatedir}/lib/%{name}/system/security2.fdb	.%{fbroot}/security2.fdb
ln	-s	%{_sysconfdir}/%{name}/fbintl.conf	.%{fbroot}/intl/fbintl.conf

sed	"s@= root@= %{name}@"	%{_builddir}/%{pkgname}/gen/buildroot-classic%{fbroot}/misc/%{name}.xinetd	>	%{buildroot}%{_sysconfdir}/xinetd.d/%{name}
cp	%{_builddir}/%{pkgname}/gen/buildroot-superserver%{fbroot}/misc/%{name}.init.d.mandrake	%{buildroot}%{_initrddir}/%{name}
#sed	"s@chkconfig: 345@chkconfig: -@"	-i	%{buildroot}%{_initrddir}/%{name}	

sed	"s@%%{fbroot}@%{fbroot}@g"	%{SOURCE2}	>	%{_builddir}/%{pkgname}/doc/README.Fedora
ln	-s	%{_var}/run/%{name}	.%{fbroot}/run
ln	-s	%{fbroot}/bin/isql	.%{_bindir}/isql-fb
ln	-s	%{fbroot}/bin/gbak	.%{_bindir}/gbak
ln	-s	%{fbroot}/bin/gfix	.%{_bindir}/gfix
ln	-s	%{fbroot}/bin/gsec	.%{_bindir}/gsec
ln	-s	%{fbroot}/bin/nbackup	.%{_bindir}/nbackup
ln	-s	%{fbroot}/bin/gstat	.%{_bindir}/gstat-fb

 
%clean
rm -Rf %{buildroot}

%post	libfbclient -p /sbin/ldconfig

%postun	libfbclient -p /sbin/ldconfig

%post	libfbembed -p /sbin/ldconfig

%postun	libfbembed -p /sbin/ldconfig

%post	classic
if [ "$(readlink %{fbroot}/bin 2> /dev/null)" \!= "%{fbroot}/bin-classic" ]; then 
	[ -e %{fbroot}/bin ] && rm -f %{fbroot}/bin
	ln -s %{fbroot}/bin{-classic,}
fi
if [ "$(readlink %{fbroot}/UDF 2> /dev/null)" \!= "%{fbroot}/UDF-classic" ]; then 
	[ -e %{fbroot}/UDF ] && rm -f %{fbroot}/bin
	ln -s %{fbroot}/UDF{-classic,}
fi
if /sbin/service xinetd status >& /dev/null; then
	/sbin/service xinetd reload &>/dev/null || :
fi

%preun	classic
if [ $1 -eq 0 ]; then
	if /sbin/service xinetd status >& /dev/null; then
		/sbin/service xinetd reload &>/dev/null || :
	fi
	if [ "$(readlink %{fbroot}/bin 2> /dev/null)" = "%{fbroot}/bin-classic" ]; then
		rm -f %{fbroot}/bin
	fi
	if [ "$(readlink %{fbroot}/UDF 2> /dev/null)" = "%{fbroot}/UDF-classic" ]; then
		rm -f %{fbroot}/UDF
	fi
fi


%post	superserver
if [ "$(readlink %{fbroot}/bin 2> /dev/null)" \!= "%{fbroot}/bin-superserver" ]; then 
	[ -e %{fbroot}/bin ] && rm -f %{fbroot}/bin
	ln -s %{fbroot}/bin{-superserver,}
fi
if [ "$(readlink %{fbroot}/UDF 2> /dev/null)" \!= "%{fbroot}/UDF-superserver" ]; then 
	[ -e %{fbroot}/UDF ] && rm -f %{fbroot}/bin
	ln -s %{fbroot}/UDF{-superserver,}
fi

if [ $1 -eq 1 ]; then
	chkconfig firebird off
fi


%preun	superserver
if [ $1 -eq 0 ]; then

	if /sbin/service firebird status >& /dev/null; then
	/sbin/service firebird stop
	fi
	
	chkconfig --del firebird
	
	if [ "$(readlink %{fbroot}/bin 2> /dev/null)" = "%{fbroot}/bin-superserver" ]; then
		rm -f %{fbroot}/bin
	fi
	if [ "$(readlink %{fbroot}/UDF 2> /dev/null)" = "%{fbroot}/UDF-superserver" ]; then
		rm -f %{fbroot}/UDF
	fi
fi


%pre	
# Create the firebird group if it doesn't exist
getent group %{name} || /usr/sbin/groupadd -r %{name} 
getent passwd %{name} >/dev/null || /usr/sbin/useradd -d / -g %{name} -s /bin/nologin -r %{name} 

# Add gds_db to /etc/services if needed
FileName=/etc/services
newLine="gds_db 3050/tcp  # Firebird SQL Database Remote Protocol"
oldLine=`grep "^gds_db" $FileName`
if [ -z "$oldLine" ]; then
	echo $newLine >> $FileName
fi


%post	-p /sbin/ldconfig

%postun	
/sbin/ldconfig

%files 
%defattr(0644,root,root,0755)
%doc doc/license/IDPL.txt
%doc doc/license/README.license.usage.txt
%doc doc/README.Fedora
%defattr(0644,root,root,0755)
%dir %attr(0755,root,root) %{_localstatedir}/lib/%{name}
%dir %attr(0770,%{name},%{name}) %{_localstatedir}/lib/%{name}/data
%attr(0660,%{name},%{name})	%{_localstatedir}/lib/%{name}/data/employee.fdb
%dir %{_localstatedir}/log/%{name}
%dir %{fbroot}/intl
%dir %{_sysconfdir}/%{name}
%config(noreplace) %attr (0600,%{name},%{name}) %{_localstatedir}/lib/%{name}/system/security2.fdb
%{fbroot}/security2.fdb
%config(noreplace) %attr (0664,%{name},%{name}) %{_sysconfdir}/%{name}/fbintl.conf
%config(noreplace) %attr (0664,%{name},%{name}) %{_sysconfdir}/%{name}/aliases.conf
%config(noreplace) %attr (0664,%{name},%{name}) %{_sysconfdir}/%{name}/firebird.conf
%{fbroot}/aliases.conf
%{fbroot}/firebird.conf
%{fbroot}/intl/fbintl.conf
%{fbroot}/firebird.log
%config(noreplace) %attr(0664,%{name},%{name})  %{_localstatedir}/log/%{name}/%{name}.log
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/logrotate.d/%{name}
%{fbroot}/*.msg
%{fbroot}/help
%{_libdir}/libib_util.so
%{fbroot}/lib/libib_util.so
%defattr(0755,root,root,0750)
%{fbroot}/intl/fbintl
%defattr(0755,root,root,0755)
%{_bindir}/isql-fb
%{_bindir}/gbak
%{_bindir}/gsec
%{_bindir}/gfix
%{_bindir}/nbackup
%{_bindir}/gstat-fb
%dir %attr(0775,%{name},%{name}) %{_var}/run/%{name}
%defattr(0755,root,root,0755)
%{fbroot}/run

%files	filesystem
%defattr(0644,root,root,0755)
%doc	doc/README.Fedora
%defattr(0755,root,root,0755)
%dir %{fbroot}
%dir %{fbroot}/lib

%files doc
%defattr(0644,root,root,0755)
%doc	gen/buildroot-classic%{fbroot}/doc
%doc	gen/buildroot-classic%{fbroot}/examples
%doc	gen/buildroot-classic%{fbroot}/README
%doc	gen/buildroot-classic%{fbroot}/misc/intl.sql
%doc	gen/buildroot-classic%{fbroot}/misc/upgrade



%files devel
%defattr(0644,root,root,0755)
%dir %{fbroot}/include
%{fbroot}/include/*
%{fbroot}/lib/*.so
%{_includedir}/*
%{_libdir}/*.so



%files libfbclient
%defattr(0644,root,root,0755)
%doc doc/license/IDPL.txt
%doc doc/license/README.license.usage.txt
%{_libdir}/libfbclient.so.*
%{_libdir}/libgds.so.0
%{fbroot}/lib/libfbclient.so.*


%files libfbembed
%defattr(0644,root,root,0755)
%doc doc/license/IDPL.txt
%doc doc/license/README.license.usage.txt
%{_libdir}/libfbembed.so.*
%{fbroot}/lib/libfbembed.so.*


%files classic
%defattr(0644,root,root,0755)
%doc doc/license/IDPL.txt
%doc doc/license/README.license.usage.txt
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%dir %{fbroot}/bin-classic
%dir %{fbroot}/UDF-classic
%defattr(0755,root,root,0755)
%{fbroot}/bin-classic/changeDBAPassword.sh
%{fbroot}/bin-classic/changeGdsLibraryCompatibleLink.sh
%{fbroot}/bin-classic/changeRunUser.sh
%{fbroot}/bin-classic/createAliasDB.sh
%{fbroot}/bin-classic/fb_config
%{fbroot}/bin-classic/fb_inet_server
%{fbroot}/bin-classic/fb_lock_print
%{fbroot}/bin-classic/fbsvcmgr
%{fbroot}/bin-classic/gbak
%{fbroot}/bin-classic/gdef
%{fbroot}/bin-classic/gds_drop
%{fbroot}/bin-classic/gfix
%{fbroot}/bin-classic/gpre
%{fbroot}/bin-classic/gsec
%{fbroot}/bin-classic/gsplit
%{fbroot}/bin-classic/gstat
%{fbroot}/bin-classic/isql
%{fbroot}/bin-classic/nbackup
%{fbroot}/bin-classic/qli
%{fbroot}/bin-classic/restoreRootRunUser.sh
%attr(6550,root,%{name}) %{fbroot}/bin-classic/fb_lock_mgr
%{fbroot}/UDF-classic/*.so
%defattr(0644,root,root,0755)
%{fbroot}/UDF-classic/*.sql


%files superserver
%defattr(0644,root,root,0755)
%doc doc/license/IDPL.txt
%doc doc/license/README.license.usage.txt
%defattr(0644,root,root,0755)
%dir %{fbroot}/bin-superserver
%dir %{fbroot}/UDF-superserver
%defattr(0755,root,root,0755)
%{_initrddir}/%{name}
%{fbroot}/bin-superserver/*
%{fbroot}/UDF-superserver/*.so
%defattr(0644,root,root,0755)
%{fbroot}/UDF-superserver/*.sql


%changelog
* Wed Mar 17 2010 Philippe Makowski <makowski@fedoraproject.org>  2.1.3.18185.0-6
- build with last upstream
- Fix rh #563461 with backport mainstream patch CORE-2928

* Sat Sep 05 2009 Karsten Hopp <karsten@redhat.com> 2.1.3.18185.0-5
- fix build on s390x for F-12 mass rebuild (Dan Horák)

* Mon Aug 11 2009  Philippe Makowski <makowski at fedoraproject.org> 2.1.3.18185.0-4
- build it against system edit lib
- set correct setuid for Classic lock manager
- set correct permission for /var/run/firebird

* Wed Aug 05 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.3.18185.0-2
- rename /usr/bin/gstat to /usr/bin/gstat-fb  to avoid conflict with ganglia-gmond (rh #515510)
- remove stupid rm -rf in postun

* Thu Jul 30 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.3.18185.0-1
- Update to 2.1.3.18185
- Fix rh #514463
- Remove doc patch 
- Apply backport initscript patch

* Sat Jul 11 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.2.18118.0-11
- change xinetd script (rh #506528)
- add missing library (and header files) for build php4-interbase module (rh #506728)
- update README.fedora
- automatically created user now have /bin/nologin as shell to make things a little more secure

* Tue May 12 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.2.18118.0-8
- patch to fix gcc 4.4.0 and icu 4.2 build error

* Tue May 12 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.2.18118.0-7
- patch to change lock files location and avoid %%{fbroot} owned by firebird user (rh #500219)
- add README.fedora
- add symlinks in /usr/bin
- change xinetd reload (rh #500219)

* Sat May 02 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.2.18118.0-6
- add filesystem-subpackage
- remove common subpackage and use the main instead
- add logrotate config

* Thu Apr 30 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.2.18118.0-5
- fix directories owning

* Thu Apr 23 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.2.18118.0-4
- major cleaning install process to take care of the two architectures (Classic and Superserver) the right way

* Wed Apr 22 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.2.18118.0-3
- fix group creation

* Sun Apr 19 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.2.18118.0-2
- fix autogen issue for f11
- patch init script
- fix ppc64 lib destination issue

* Sun Apr 19 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.2.18118.0-1
- backport doc patch
- update to 2.1.2.18118
- cleanup macros
- specifie libdir
- change firebird user login

* Sat Mar 28 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.1.17910.0-5
- Major packaging restructuring
 
* Mon Mar 21 2009  Philippe Makowski <makowski at firebird-fr.eu.org> 2.1.1.17190.0-4
- Create a doc package
- major cleaning to avoid rpmlint errors
- revert to 2.1.1 (last stable build published)

* Mon Mar 09 2009  Jonathan MERCIER <bioinfornatics at gmail.com> 2.1.2.18116.0-3
- Perform %%configure with option --with-system-icu
- Add libicu-devel in BuildRequires
- Use iconv for convert files to UTF-8

* Fri Mar 05 2009  Jonathan MERCIER <bioinfornatics at gmail.com> 2.1.2.18116.0-2
- Update to 2.1.2
- Use %%global instead of %%define
- Change ${SOURCE1} to %%{SOURCE1}
- Change Group Database to Applications/Databases
- Change License IPL to Interbase
- Perform %%configure section's with some module
- Cconvert cyrillic character to UTF-8

* Thu Jul 17 2008 Arkady L. Shane <ashejn@yandex-team.ru> 2.1.1.17910.0-1
- Update to 2.1.1

* Fri Apr 18 2008 Arkady L. Shane <ashejn@yandex-team.ru> 2.1.0.17798.0-1
- Update to 2.1.0

* Thu Sep 27 2007 Arkady L. Shane <ashejn@yandex-team.ru> 2.0.3.12981.1-1
- Update to 2.0.3

* Thu Sep 13 2007 Arkady L. Shane <ashejn@yandex-team.ru> 2.0.1.12855.0-1
- Initial build for Fedora
- cleanup Mandriva spec
